


#ifndef ORXONOX_H
#define ORXONOX_H

/* standard headers */
#include <iostream>
#include <cstdio>

/* openGL Headers */
#include <GL/glut.h>

#include "world.h"
#include "input_output.h"
#include "data_tank.h"
#include "stdincl.h"



class Orxonox {

 private:
  static Orxonox* singleton_ref;
  Orxonox ();
  ~Orxonox ();
  static World* world;
  static InputOutput* io;
  static bool pause;
  static bool upWeGo;
  static bool downWeGo;
  static bool rightWeGo;
  static bool leftWeGo;

 public:

  static Orxonox* getInstance (void);

  int globalInit (int argc, char** argv);
  int menuInit (void);
  int gameInit (void);
  void testTheShit(void);
  static void display (void);
  static void continousRedraw(void);
  static void reshape (int w, int h);
  static void keyboard(unsigned char key, int x, int y);
  static void releaseKey(int key, int x, int y);
  static void specFunc(int key, int x, int y);
  static void quitGame(void); 
};

#endif

