

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/


#include "player.h"
#include <iostream>

using namespace std;


Player::Player () {
  xCor = yCor = zCor = 0;
}



Player::~Player () {}


void Player::setPosition( int x, int y, int z)
{
  xCor = x; yCor = y; zCor = z;
}

void Player::getPosition(int* x, int* y, int* z) 
{
  *x = xCor; *y = yCor; *z = zCor;
}

void Player::goX(int x) 
{
  xCor += x;
}


void Player::goY(int y)
{
  yCor += y;
}

void Player::goZ(int z)
{
  zCor += z;
}

void Player::shoot(int n) {
}


//void Player::addIO(InputOutput *io) {}


void Player::drawPlayer(void) 
{
  //cout << "Player::drawPlayer()" << endl;
  glColor3f(1.0, 0.9, 0.4);
  glRectf(-5.0 + yCor, -5.0 + xCor, 5.0 + yCor, 5.0 + xCor);
  cout << "x: " << xCor << " y: " << yCor << endl;
}
